Name:           fpaste
Version:        0.3.7.1
Release:        %mkrel 6
Summary:        A simple tool for pasting info onto fpaste.org
License:        GPLv3+
Group:          Text tools
URL:            https://fedorahosted.org/fpaste
Source0:        https://fedorahosted.org/released/fpaste/%{name}-%{version}.tar.bz2
# Point fpaste to fedora sticky notes staging instance
# Thanks Clint for the patch.
# https://fedorahosted.org/fpaste/ticket/7#comment:1
Patch0:         0001-%{name}-0.3.7.1-fedora-production.patch

# Remove smolt data from fpaste
# https://fedorahosted.org/fpaste/ticket/6
Patch1:         0002-%{name}-0.3.7.1-remove-smolt-code.patch

# Adds an option to make paste private or public, sets default to on
# Makes use of expiry option
Patch2:         0003-%{name}-0.3.7.1-use-expire-option-add-private-option-default-on.patch

# Enables user to specify another paste bin url
Patch3:         0004-%{name}-0.3.7.1-add-url-option.patch

# Returns a short url when possible and prints it
# Checks fpaste server instance url for trailing slash
Patch4:         0005-%{name}-0.3.7.1-enable-shortened-urls.patch

# Make -n "NICKNAME" switch to work
Patch10:        fpaste-0.3.7.1-add-nickname.patch

BuildArch:      noarch

%description
It is often useful to be able to easily paste text to the Fedora
Pastebin at http://fpaste.org and this simple script will do that
and return the resulting URL so that people may examine the
output. This can hopefully help folks who are for some reason
stuck without X, working remotely, or any other reason they may
be unable to paste something into the pastebin


%prep
%setup -q
%apply_patches

%build
#nothing required

%install
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}

%files
%doc CHANGELOG README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.7.1-6.mga4
+ Revision: 529875
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.3.7.1-5.mga4
+ Revision: 453890
- add patch to make '-n NICKNAME' switch to work

* Sat Jul 13 2013 wally <wally> 0.3.7.1-4.mga4
+ Revision: 453804
- sync patches with Fedora (edit them to apply with patch -P1)

* Fri Jan 11 2013 umeabot <umeabot> 0.3.7.1-3.mga3
+ Revision: 350792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.3.7.1-2.mga3
+ Revision: 324510
- rebuild for Mga3 Beta1

* Tue Nov 22 2011 kamil <kamil> 0.3.7.1-1.mga2
+ Revision: 170880
- new version
- xsel removed from suggestions - follow Fedora package
- package cleaning

* Thu Oct 06 2011 kamil <kamil> 0.3.7-1.mga2
+ Revision: 152441
- New version 0.3.7

* Fri May 06 2011 misc <misc> 0.3.6-2.mga1
+ Revision: 95525
- xsel should only be a suggestion ( as it would other wise pull X related lib )

* Fri May 06 2011 misc <misc> 0.3.6-1.mga1
+ Revision: 95506
- fix Group
- clean buildroot ( to make rpmlint happy )
- imported package fpaste


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.3.6-1
- adapt to Mageia

* Thu Apr 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org>  - 0.3.6-1
- Update to new upstream release
- Pastes which exceed the server's size limit now error more gracefully
- stdin and clipboard descriptions now default to showing a small text summary of the form "beginning ... middle ... end". 
- sysinfo improvements

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.5-1
- New maintenance release
- --sysinfo: detect running and installed Desktop Environment(s)
- --sysinfo: Show filesystem type in df -hT output
- --sysinfo: Smolt fixed, GL and other additions. by Francois Cami
- --sysinfo: Optimized: rpm -qa --list --nodigest --nosignature. by Dave Riches

* Mon Aug 24 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.4-1
- New release
- Validate paste size and content as non-binary before sending; user is prompted Y/N to override for huge pastes or binary content.
- Added options --printonly and --confirm to show or ask user before sending
- --sysinfo updated: Added blkid, top CPU hogs, top memory hogs, X errors,h/w virtualization, 64-bit capable, and last few reboot/runlevel changes
- Workaround to read user input from raw_input following sys.stdin EOF
- Guess language syntax from common file extension(s)
- --help usage compacted and grouped
- Check that 'xsel' is installed for clipboard input support; silent fail on output
- Use 'fpaste/x.x.x' User-agent header
- bug fixes
* Fri Aug 21 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.3-2
- Added xsel in requires
* Fri Aug 21 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.3-1
- new package release
- Proper urllib2 error handling
- Catches Ctrl-C while waiting for stdin to show a usage reminder rather than a traceback
- Typos fixed, and more TODO
- Added --sysinfo option to gather and pastebin basic system information
- Added options to read text from (xsel) clipboard and write resultant URL to clipboard
* Thu Aug 13 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-2
- Corrected source0 field
* Thu Aug 13 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-1
- New tar 
- Man page included in tar
* Wed Aug 12 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-2
- Review request begins : #516698
- Removed buildroot declaration and removal from install section in accordance with new guidelines
- Aligned description properly
* Tue Aug 11 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.1-1
- Initial rpm build
